import { system, world } from '@minecraft/server'
import { Menu } from "./flash_ui.js"

world.afterEvents.itemUse.subscribe((data) => {
	const player = data.source
	if (data.itemStack.typeId === "flash:flash_ring") {
		player.runCommandAsync("function ring/flash_ring")
	}
	if (data.itemStack.typeId === "flash:wr_suit_ring") {
		player.runCommandAsync("function ring/rebirth_ring")
	}
	if (data.itemStack.typeId === "flash:jg_suit_ring") {
		player.runCommandAsync("function ring/garrick_ring")
	}
	if (data.itemStack.typeId === "flash:impulse_suit_ring") {
		player.runCommandAsync("function ring/impulse_ring")
	}
	if (data.itemStack.typeId === "flash:xs_suit_ring") {
		player.runCommandAsync("function ring/xs_ring")
	}
	if (data.itemStack.typeId === "flash:zoom_suit_ring") {
		player.runCommandAsync("function ring/zoom_ring")
	}
	if (data.itemStack.typeId === "flash:rf_suit_ring") {
		player.runCommandAsync("function ring/reverse_ring")
	}
	if (data.itemStack.typeId === "flash:gs_suit_ring") {
		player.runCommandAsync("function ring/godspeed_ring")
	}
	if (data.itemStack.typeId === "flash:savitar_suit_ring") {
		player.runCommandAsync("function ring/savitar_ring")
	}


});



world.afterEvents.itemUse.subscribe((data) => {
	const player = data.source
	const level = world.scoreboard.getObjective("flash_lvl")?.getScore(player)
	const Score = world.scoreboard
	const item = data.itemStack

	if (item.hasTag('flash:empty_ring') && player.isSneaking && level == 1) {
		return Menu.ButtonMenu_1(player)
	}
	if (item.hasTag('flash:empty_ring') && player.isSneaking && level == 2) {
		return Menu.ButtonMenu_2(player)
	}
	if (item.hasTag('flash:empty_ring') && player.isSneaking && level == 3) {
		return Menu.ButtonMenu_3(player)
	}
	if (item.hasTag('flash:empty_ring') && player.isSneaking && level == 4) {
		return Menu.ButtonMenu_4(player)
	}
	if (item.hasTag('flash:empty_ring') && player.isSneaking && level == 5) {
		return Menu.ButtonMenu_5(player)
	}
	if (item.typeId === "flash:flash_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/flash_re")
	}
	if (item.typeId === "flash:wr_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/rebirth_re")
	}
	if (item.typeId === "flash:zoom_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/zoom_re")
	}
	if (item.typeId === "flash:jg_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/garrick_re")
	}
	if (item.typeId === "flash:impulse_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/impulse_re")
	}
	if (item.typeId === "flash:xs_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/xs_re")
	}
	if (item.typeId === "flash:gs_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/godspeed_re")

	}
	if (item.typeId === "flash:rf_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/reverse_re")
	}
	if (item.typeId === "flash:savitar_re" && !player.isSneaking) {
		player.runCommandAsync("function ring/savitar_re")
	}
});
