import { world, system } from "@minecraft/server";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const inventory = player.getComponent("minecraft:inventory");

        if (inventory) {
            const selectedSlotIndex = player.selectedSlotIndex;
            const mainhandItem = inventory.container.getItem(selectedSlotIndex);

            if (mainhandItem?.hasTag('flash:speedster_item') && player.isSneaking) {
                player.runCommandAsync('function player/time_stop')


            }
        }
    }
}, 1);