import { ActionFormData } from '@minecraft/server-ui'
import { world } from '@minecraft/server'

class ItemMenus {
    GetScore(Id, player) {
        if (!world.scoreboard.getObjective(Id))
            world.scoreboard.addObjective(Id, Id)
        if (!world.scoreboard.getObjective(Id).hasParticipant(player))
            return 0
        return world.scoreboard.getObjective(Id).getScore(player)
    }
    ButtonMenu_1(player) {
        const form = new ActionFormData()
            .title(`§bFlash Powers - Level 1`)
            .body(`Flash Level: 1\n§5Phase§f: Teleport forward 7 blocks, even through walls.`)
            .button("§5Phase", "textures/items/abilities/phase")
            .button("§kBolt", "textures/mystery")
            .button("§kPhase Punch", "textures/mystery")
            .button("§kMagnet", "textures/mystery")
            .button("§kTornado", "textures/mystery")
            .button("Ring", "textures/items/flash/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 1
            ) {
                return Menu.ButtonMenu_1(Entity)
            }
            if (
                data.selection === 2
            ) {
                return Menu.ButtonMenu_1(Entity)
            }
            if (
                data.selection === 3
            ) {
                return Menu.ButtonMenu_1(Entity)
            }
            if (
                data.selection === 4
            ) {
                return Menu.ButtonMenu_1(Entity)
            }
            if (
                data.selection === 5
            ) {
                player.runCommandAsync(" function menu/ring")
            }

        })
    }
    ButtonMenu_2(player) {
        const form = new ActionFormData()
            .title(`§4Flash Powers - Level 2`)
            .body(`Flash Level: 1\n§5Phase§f: Teleport forward 7 blocks, even through walls.\n\nFlash Level: 2\n§eLightning Bolt§f: Throw lightning at your foe.`)
            .button("§5Phase", "textures/items/abilities/phase")
            .button("§eLightning", "textures/items/abilities/flash_bolt")
            .button("§kPhase Punch", "textures/mystery")
            .button("§kMagnet", "textures/mystery")
            .button("§kTornado", "textures/mystery")
            .button("Ring", "textures/items/flash/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 1
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:flashbolt 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 2
            ) {
                return Menu.ButtonMenu_2(Entity)
            }
            if (
                data.selection === 3
            ) {
                return Menu.ButtonMenu_2(Entity)
            }
            if (
                data.selection === 4
            ) {
                return Menu.ButtonMenu_2(Entity)
            }
            if (
                data.selection === 5
            ) {
                player.runCommandAsync(" function menu/ring")
            }

        })
    }
    ButtonMenu_3(player) {
        const form = new ActionFormData()
            .title(`§4Flash Powers - Level 3`)
            .body(`Flash Level: 1\n§5Phase§f: Teleport forward 7 blocks, even through walls.\n\nFlash Level: 2\n§eLightning Bolt§f: Throw lightning at your foe.\n\nFlash Level: 3\n§cPhase Punch§f: Deliver a devastating strike.`)
            .button("§5Phase", "textures/items/abilities/phase")
            .button("§eLightning", "textures/items/abilities/flash_bolt")
            .button("§cPhase Punch", "textures/items/abilities/phase_punch")
            .button("§kMagnet", "textures/mystery")
            .button("§kTornado", "textures/mystery")
            .button("Ring", "textures/items/flash/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 1
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:flashbolt 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 2
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase_punch 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 3
            ) {
                return Menu.ButtonMenu_3(Entity)
            }
            if (
                data.selection === 4
            ) {
                return Menu.ButtonMenu_3(Entity)
            }
            if (
                data.selection === 5
            ) {
                player.runCommandAsync(" function menu/ring")
            }

        })
    }
    ButtonMenu_4(player) {
        const form = new ActionFormData()
            .title(`§4Flash Powers - Level 4`)
            .body(`Flash Level: 1\n§5Phase§f: Teleport forward 7 blocks, even through walls.\n\nFlash Level: 2\n§eLightning Bolt§f: Throw lightning at your foe.\n\nFlash Level: 3\n§cPhase Punch§f: Deliver a devistating strike.\n\nFlash Level: 4\n§9Magnet§f: Attract items using speedster charge.\n§9Water Run§f: Run on Water/Lava - §opassive ability§r.`)
            .button("§5Phase", "textures/items/abilities/phase")
            .button("§eLightning", "textures/items/abilities/flash_bolt")
            .button("§cPhase Punch", "textures/items/abilities/phase_punch")
            .button("§9Magnet", "textures/items/armor_stands/speedster_key")
            .button("§kTornado", "textures/mystery")
            .button("Ring", "textures/items/flash/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 1
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:flashbolt 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 2
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase_punch 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 3
            ) {
                player.runCommandAsync("function menu/magnet")
            }
            if (
                data.selection === 4
            ) {
                return Menu.ButtonMenu_4(Entity)
            }
            if (
                data.selection === 5
            ) {
                player.runCommandAsync(" function menu/ring")
            }

        })
    }
    ButtonMenu_5(player) {
        const form = new ActionFormData()
            .title(`§4Flash Powers - Level 5`)
            .body(`Flash Level: 1\n§5Phase§f: Teleport forward 7 blocks, even through walls.\n\nFlash Level: 2\n§eLightning Bolt§f: Throw lightning at your foe.\n\nFlash Level: 3\n§cPhase Punch§f: Deliver a devistating strike.\n\nFlash Level: 4\n§9Magnet§f: Attract items using speedster charge.\n§9Water Run§f: Run on Water/Lava - §opassive ability§r.\n\nFlash Level: 5\n§0Tornado§f: Trap your enemies in a powerful whirlwind.`)
            .button("§5Phase", "textures/items/abilities/phase")
            .button("§8Lightning", "textures/items/abilities/flash_bolt")
            .button("§cPhase Punch", "textures/items/abilities/phase_punch")
            .button("§9Magnet", "textures/items/armor_stands/speedster_key")
            .button("§0Tornado", "textures/items/abilities/tornado")
            .button("Ring", "textures/items/flash/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 1
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:flashbolt 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 2
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:phase_punch 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 3
            ) {
                player.runCommandAsync("function menu/magnet")
            }
            if (
                data.selection === 4
            ) {
                player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 flash:tornado 1 0 {\"item_lock\":{\"mode\":\"lock_in_slot\"}, \"keep_on_death\":{}}")
            }
            if (
                data.selection === 5
            ) {
                player.runCommandAsync(" function menu/ring")
            }

        })
    }
    RingConversion(player) {
        const form = new ActionFormData()
            .title(`§5Ring Conversion`)
            .body(`Convert rings into speedster charge!`)
            .button("§1Zoom", "textures/items/zoom/ring")
            .button("§eRF", "textures/items/reverse/ring")
            .button("§6Godspeed", "textures/items/godspeed/ring")
            .button("§bSavitar", "textures/items/savitar/ring")


        form.show(player).then((data) => {
            if (
                data.selection === 0
            ) {
                player.runCommandAsync("function menu/zoom_conversion")
            }
            if (
                data.selection === 1
            ) {
                player.runCommandAsync("function menu/reverse_conversion")
            }
            if (
                data.selection === 2
            ) {
                player.runCommandAsync("function menu/gs_conversion")
            }
            if (
                data.selection === 3
            ) {
                player.runCommandAsync("function menu/savitar_conversion")
            }


        })
    }

};



export const Menu = new ItemMenus